# Uses of Class
org.apache.lucene.facet.MultiDoubleValuesSource

Packages that use MultiDoubleValuesSource
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.range
Provides range faceting capabilities.

- ## Uses of MultiDoubleValuesSource in org.apache.lucene.facet

  Methods in org.apache.lucene.facet that return MultiDoubleValuesSource
  Modifier and Type
  Method
  Description
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromDoubleField(String field)`
  Creates a MultiDoubleValuesSource that wraps a double-valued field
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromField(String field, LongToDoubleFunction decoder)`
  Creates a MultiDoubleValuesSource that wraps a generic NumericDocValues/SortedNumericDocValues field.
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromFloatField(String field)`
  Creates a MultiDoubleValuesSource that wraps a float-valued field
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromIntField(String field)`
  Creates a MultiDoubleValuesSource that wraps an int-valued field
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromLongField(String field)`
  Creates a MultiDoubleValuesSource that wraps a long-valued field
  `static MultiDoubleValuesSource`
  MultiDoubleValuesSource.`fromSingleValued(DoubleValuesSource singleValued)`
  Creates a MultiDoubleValuesSource that wraps a single-valued `DoubleValuesSource`
  `final MultiDoubleValuesSource`
  MultiLongValuesSource.`toMultiDoubleValuesSource()`
  Convert to a MultiDoubleValuesSource by casting long values to doubles
  Methods in org.apache.lucene.facet with parameters of type MultiDoubleValuesSource
  Modifier and Type
  Method
  Description
  `static DoubleValuesSource`
  MultiDoubleValuesSource.`unwrapSingleton(MultiDoubleValuesSource in)`
  Returns a single-valued view of the `MultiDoubleValuesSource` if it was previously wrapped with `fromSingleValued(DoubleValuesSource)`, or null.

- ## Uses of MultiDoubleValuesSource in org.apache.lucene.facet.range

  Methods in org.apache.lucene.facet.range with parameters of type MultiDoubleValuesSource
  Modifier and Type
  Method
  Description
  `Query`
  DoubleRange.`getQuery(Query fastMatchQuery, MultiDoubleValuesSource valueSource)`
  Create a Query that matches documents in this range
  Constructors in org.apache.lucene.facet.range with parameters of type MultiDoubleValuesSource
  Modifier
  Constructor
  Description
  ``
  `DoubleRangeFacetCounts(String field, MultiDoubleValuesSource valuesSource, FacetsCollector hits, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `MultiDoubleValuesSource` if non-null.
  ``
  `DoubleRangeFacetCounts(String field, MultiDoubleValuesSource valuesSource, FacetsCollector hits, Query fastMatchQuery, DoubleRange... ranges)`
  Create `RangeFacetCounts`, using the provided `MultiDoubleValuesSource` if non-null.